Subject: bug#16816: 24.3.50; erroneous docstring in with-temp-buffer-window

From: martin rudalics <[email-masked]>
Date: Fri, 28 Feb 2014 11:58:59 +0100

>> This would restore what we had till now: BODY would get evaluated in the
 >> help buffer and not in the original buffer.  I doubt this could have any
 >> serious consequences (Emacs 24.3 runs this already for quite some time)
 >> but it's inherently disturbing.
 >
 > You're right, I suppose.

I reverted my previous change.  It's too dangerous as the bug you
reported demonstrates.

 > BTW, the docstring of with-help-window isn't exactly clear to me...
 >
 >   Display buffer with name BUFFER-NAME in a help window evaluating BODY.
 >
 > Evaluating BODY in a help window? What does this mean?

I rewrote the doc-strings of `with-temp-buffer-window' and
`with-help-window'.  Please have a look.

martin